package com.mortals.xhx.module.company.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.company.model.vo.CompanyProductVo;
import lombok.Data;
/**
* 公司产品实体对象
*
* @author zxfei
* @date 2023-09-19
*/
@Data
public class CompanyProductEntity extends CompanyProductVo {
    private static final long serialVersionUID = 1L;

    /**
    * 公司Id
    */
    @Excel(name = "公司Id")
    private Long companyId;
    /**
    * 公司名称
    */
    private String companyName;
    /**
    * 产品Id
    */
    @Excel(name = "产品Id")
    private Long productId;
    /**
    * 产品名称
    */
    private String productName;
    /**
    * 备注
    */
    private String remark;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof CompanyProductEntity) {
            CompanyProductEntity tmp = (CompanyProductEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.companyId = 0L;
            this.companyName = "";
            this.productId = 0L;
            this.productName = "";
            this.remark = "";
    }
}